summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-admin/sudo/files/sudo-1.9.2-glibc-2.32.patch308
-rw-r--r--app-admin/sudo/sudo-1.9.2-r1.ebuild265
-rw-r--r--app-arch/arj/arj-3.10.22-r7.ebuild5
-rw-r--r--app-arch/tar/tar-1.32.90.ebuild2
-rw-r--r--app-editors/hteditor/Manifest1
-rw-r--r--app-editors/hteditor/hteditor-2.1.0-r1.ebuild64
-rw-r--r--dev-lang/spidermonkey/spidermonkey-78.2.0.ebuild2
-rw-r--r--dev-libs/libffi/libffi-3.3-r1.ebuild77
-rw-r--r--dev-libs/mpfr/Manifest1
-rw-r--r--dev-libs/mpfr/mpfr-4.0.2.ebuild58
-rw-r--r--dev-python/python-debian/Manifest1
-rw-r--r--dev-python/python-debian/python-debian-0.1.37.ebuild37
-rw-r--r--media-libs/libpng/libpng-1.6.37-r1.ebuild44
-rw-r--r--net-ftp/proftpd/Manifest1
-rw-r--r--net-ftp/proftpd/proftpd-1.3.7_rc4-r1.ebuild277
-rw-r--r--sys-apps/acl/acl-2.2.53-r1.ebuild55
-rw-r--r--sys-apps/attr/attr-2.4.48-r4.ebuild92
-rw-r--r--sys-apps/attr/attr-9999.ebuild4
-rw-r--r--sys-apps/file/file-5.39-r3.ebuild10
-rw-r--r--sys-apps/file/file-9999.ebuild12
-rw-r--r--sys-apps/shadow/shadow-4.8-r5.ebuild1
-rw-r--r--sys-apps/shadow/shadow-4.8.1-r3.ebuild1
-rw-r--r--sys-devel/bison/Manifest2
-rw-r--r--sys-devel/bison/bison-3.7.1-r1.ebuild (renamed from sys-devel/bison/bison-3.7.1.ebuild)10
-rw-r--r--sys-devel/bison/bison-3.7.2.ebuild10
-rw-r--r--sys-devel/bison/bison-3.7.ebuild92
-rw-r--r--sys-libs/gdbm/gdbm-1.18.1-r1.ebuild50
-rw-r--r--sys-process/psmisc/psmisc-23.3-r1.ebuild4
28 files changed, 892 insertions, 594 deletions
diff --git a/app-admin/sudo/files/sudo-1.9.2-glibc-2.32.patch b/app-admin/sudo/files/sudo-1.9.2-glibc-2.32.patch
new file mode 100644
index 000000000000..6134fe736d00
--- /dev/null
+++ b/app-admin/sudo/files/sudo-1.9.2-glibc-2.32.patch
@@ -0,0 +1,308 @@
+
+# HG changeset patch
+# User Todd C. Miller <Todd.Miller@sudo.ws>
+# Date 1598395693 21600
+# Node ID e30482f26924b07775d87ae591e54ad72e794d5e
+# Parent 1ede927d99b3cb06ba514c9fd2fd7fa9a014a1b2
+Use sigabbrev_np(3) to access signal abbreviations if supported.
+glibc-2.32 has removed sys_sigabbrev[], we can use sigabbrev_np(3) instead.
+
+diff -r 1ede927d99b3 -r e30482f26924 config.h.in
+--- a/config.h.in Mon Aug 17 19:37:09 2020 -0600
++++ b/config.h.in Tue Aug 25 16:48:13 2020 -0600
+@@ -740,6 +740,9 @@
+ /* Define to 1 if you have the `sig2str' function. */
+ #undef HAVE_SIG2STR
+
++/* Define to 1 if you have the `sigabbrev_np' function. */
++#undef HAVE_SIGABBREV_NP
++
+ /* Define to 1 if you use S/Key. */
+ #undef HAVE_SKEY
+
+diff -r 1ede927d99b3 -r e30482f26924 configure
+--- a/configure Mon Aug 17 19:37:09 2020 -0600
++++ b/configure Tue Aug 25 16:48:13 2020 -0600
+@@ -23687,9 +23687,21 @@
+
+
+ if test x"${ac_cv_func_sig2str}${ac_cv_func_str2sig}" != x"yesyes"; then
+- COMPAT_TEST_PROGS="${COMPAT_TEST_PROGS}${COMPAT_TEST_PROGS+ }strsig_test"
+- HAVE_SIGNAME="false"
+- ac_fn_c_check_decl "$LINENO" "sys_signame" "ac_cv_have_decl_sys_signame" "
++ for ac_func in sigabbrev_np
++do :
++ ac_fn_c_check_func "$LINENO" "sigabbrev_np" "ac_cv_func_sigabbrev_np"
++if test "x$ac_cv_func_sigabbrev_np" = xyes; then :
++ cat >>confdefs.h <<_ACEOF
++#define HAVE_SIGABBREV_NP 1
++_ACEOF
++
++fi
++done
++
++ if test x"${ac_cv_func_sigabbrev_np}" != x"yes"; then
++ COMPAT_TEST_PROGS="${COMPAT_TEST_PROGS}${COMPAT_TEST_PROGS+ }strsig_test"
++ HAVE_SIGNAME="false"
++ ac_fn_c_check_decl "$LINENO" "sys_signame" "ac_cv_have_decl_sys_signame" "
+ $ac_includes_default
+ #include <signal.h>
+
+@@ -23705,7 +23717,7 @@
+ _ACEOF
+ if test $ac_have_decl = 1; then :
+
+- HAVE_SIGNAME="true"
++ HAVE_SIGNAME="true"
+
+ fi
+ ac_fn_c_check_decl "$LINENO" "_sys_signame" "ac_cv_have_decl__sys_signame" "
+@@ -23724,7 +23736,7 @@
+ _ACEOF
+ if test $ac_have_decl = 1; then :
+
+- HAVE_SIGNAME="true"
++ HAVE_SIGNAME="true"
+
+ fi
+ ac_fn_c_check_decl "$LINENO" "sys_sigabbrev" "ac_cv_have_decl_sys_sigabbrev" "
+@@ -23743,12 +23755,12 @@
+ _ACEOF
+ if test $ac_have_decl = 1; then :
+
+- HAVE_SIGNAME="true"
+-
+-fi
+-
+- if test "$HAVE_SIGNAME" != "true"; then
+- { $as_echo "$as_me:${as_lineno-$LINENO}: checking for undeclared sys_sigabbrev" >&5
++ HAVE_SIGNAME="true"
++
++fi
++
++ if test "$HAVE_SIGNAME" != "true"; then
++ { $as_echo "$as_me:${as_lineno-$LINENO}: checking for undeclared sys_sigabbrev" >&5
+ $as_echo_n "checking for undeclared sys_sigabbrev... " >&6; }
+ if ${sudo_cv_var_sys_sigabbrev+:} false; then :
+ $as_echo_n "(cached) " >&6
+@@ -23777,17 +23789,18 @@
+ fi
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $sudo_cv_var_sys_sigabbrev" >&5
+ $as_echo "$sudo_cv_var_sys_sigabbrev" >&6; }
+- if test "$sudo_cv_var_sys_sigabbrev" = yes; then
+- $as_echo "#define HAVE_SYS_SIGABBREV 1" >>confdefs.h
+-
+- else
+- case " $LIBOBJS " in
++ if test "$sudo_cv_var_sys_sigabbrev" = yes; then
++ $as_echo "#define HAVE_SYS_SIGABBREV 1" >>confdefs.h
++
++ else
++ case " $LIBOBJS " in
+ *" signame.$ac_objext "* ) ;;
+ *) LIBOBJS="$LIBOBJS signame.$ac_objext"
+ ;;
+ esac
+
+- SIGNAME=signame.lo
++ SIGNAME=signame.lo
++ fi
+ fi
+ fi
+ fi
+diff -r 1ede927d99b3 -r e30482f26924 configure.ac
+--- a/configure.ac Mon Aug 17 19:37:09 2020 -0600
++++ b/configure.ac Tue Aug 25 16:48:13 2020 -0600
+@@ -3498,29 +3498,32 @@
+ dnl Also enable unit tests for sig2str() and str2sig().
+ dnl
+ if test x"${ac_cv_func_sig2str}${ac_cv_func_str2sig}" != x"yesyes"; then
+- COMPAT_TEST_PROGS="${COMPAT_TEST_PROGS}${COMPAT_TEST_PROGS+ }strsig_test"
+- HAVE_SIGNAME="false"
+- AC_CHECK_DECLS([sys_signame, _sys_signame, sys_sigabbrev], [
+- HAVE_SIGNAME="true"
+- ], [ ], [
++ AC_CHECK_FUNCS([sigabbrev_np])
++ if test x"${ac_cv_func_sigabbrev_np}" != x"yes"; then
++ COMPAT_TEST_PROGS="${COMPAT_TEST_PROGS}${COMPAT_TEST_PROGS+ }strsig_test"
++ HAVE_SIGNAME="false"
++ AC_CHECK_DECLS([sys_signame, _sys_signame, sys_sigabbrev], [
++ HAVE_SIGNAME="true"
++ ], [ ], [
+ AC_INCLUDES_DEFAULT
+ #include <signal.h>
+- ])
+- if test "$HAVE_SIGNAME" != "true"; then
+- AC_CACHE_CHECK([for undeclared sys_sigabbrev],
+- [sudo_cv_var_sys_sigabbrev],
+- [AC_LINK_IFELSE(
+- [AC_LANG_PROGRAM([[extern char **sys_sigabbrev;]], [[return sys_sigabbrev[1];]])],
+- [sudo_cv_var_sys_sigabbrev=yes],
+- [sudo_cv_var_sys_sigabbrev=no]
+- )
+- ]
+- )
+- if test "$sudo_cv_var_sys_sigabbrev" = yes; then
+- AC_DEFINE(HAVE_SYS_SIGABBREV)
+- else
+- AC_LIBOBJ(signame)
+- SIGNAME=signame.lo
++ ])
++ if test "$HAVE_SIGNAME" != "true"; then
++ AC_CACHE_CHECK([for undeclared sys_sigabbrev],
++ [sudo_cv_var_sys_sigabbrev],
++ [AC_LINK_IFELSE(
++ [AC_LANG_PROGRAM([[extern char **sys_sigabbrev;]], [[return sys_sigabbrev[1];]])],
++ [sudo_cv_var_sys_sigabbrev=yes],
++ [sudo_cv_var_sys_sigabbrev=no]
++ )
++ ]
++ )
++ if test "$sudo_cv_var_sys_sigabbrev" = yes; then
++ AC_DEFINE(HAVE_SYS_SIGABBREV)
++ else
++ AC_LIBOBJ(signame)
++ SIGNAME=signame.lo
++ fi
+ fi
+ fi
+ fi
+diff -r 1ede927d99b3 -r e30482f26924 lib/util/sig2str.c
+--- a/lib/util/sig2str.c Mon Aug 17 19:37:09 2020 -0600
++++ b/lib/util/sig2str.c Tue Aug 25 16:48:13 2020 -0600
+@@ -1,7 +1,7 @@
+ /*
+ * SPDX-License-Identifier: ISC
+ *
+- * Copyright (c) 2012-2015, 2017-2019 Todd C. Miller <Todd.Miller@sudo.ws>
++ * Copyright (c) 2012-2015, 2017-2020 Todd C. Miller <Todd.Miller@sudo.ws>
+ *
+ * Permission to use, copy, modify, and distribute this software for any
+ * purpose with or without fee is hereby granted, provided that the above
+@@ -32,20 +32,24 @@
+ #include <unistd.h>
+
+ #include "sudo_compat.h"
++#include "sudo_util.h"
+
+-#if defined(HAVE_DECL_SYS_SIGNAME) && HAVE_DECL_SYS_SIGNAME == 1
+-# define sudo_sys_signame sys_signame
+-#elif defined(HAVE_DECL__SYS_SIGNAME) && HAVE_DECL__SYS_SIGNAME == 1
+-# define sudo_sys_signame _sys_signame
+-#elif defined(HAVE_DECL_SYS_SIGABBREV) && HAVE_DECL_SYS_SIGABBREV == 1
+-# define sudo_sys_signame sys_sigabbrev
+-#else
+-# ifdef HAVE_SYS_SIGABBREV
+- /* sys_sigabbrev is not declared by glibc */
+-# define sudo_sys_signame sys_sigabbrev
++#if !defined(HAVE_SIGABBREV_NP)
++# if defined(HAVE_DECL_SYS_SIGNAME) && HAVE_DECL_SYS_SIGNAME == 1
++# define sigabbrev_np(_x) sys_signame[(_x)]
++# elif defined(HAVE_DECL__SYS_SIGNAME) && HAVE_DECL__SYS_SIGNAME == 1
++# define sigabbrev_np(_x) _sys_signame[(_x)]
++# elif defined(HAVE_SYS_SIGABBREV)
++# define sigabbrev_np(_x) sys_sigabbrev[(_x)]
++# if defined(HAVE_DECL_SYS_SIGABBREV) && HAVE_DECL_SYS_SIGABBREV == 0
++ /* sys_sigabbrev is not declared by glibc */
++ extern const char *const sys_sigabbrev[NSIG];
++# endif
++# else
++# define sigabbrev_np(_x) sudo_sys_signame[(_x)]
++ extern const char *const sudo_sys_signame[NSIG];
+ # endif
+-extern const char *const sudo_sys_signame[NSIG];
+-#endif
++#endif /* !HAVE_SIGABBREV_NP */
+
+ /*
+ * Translate signal number to name.
+@@ -77,15 +81,18 @@
+ return 0;
+ }
+ #endif
+- if (signo > 0 && signo < NSIG && sudo_sys_signame[signo] != NULL) {
+- strlcpy(signame, sudo_sys_signame[signo], SIG2STR_MAX);
+- /* Make sure we always return an upper case signame. */
+- if (islower((unsigned char)signame[0])) {
+- int i;
+- for (i = 0; signame[i] != '\0'; i++)
+- signame[i] = toupper((unsigned char)signame[i]);
++ if (signo > 0 && signo < NSIG) {
++ const char *cp = sigabbrev_np(signo);
++ if (cp != NULL) {
++ strlcpy(signame, cp, SIG2STR_MAX);
++ /* Make sure we always return an upper case signame. */
++ if (islower((unsigned char)signame[0])) {
++ int i;
++ for (i = 0; signame[i] != '\0'; i++)
++ signame[i] = toupper((unsigned char)signame[i]);
++ }
++ return 0;
+ }
+- return 0;
+ }
+ errno = EINVAL;
+ return -1;
+diff -r 1ede927d99b3 -r e30482f26924 lib/util/str2sig.c
+--- a/lib/util/str2sig.c Mon Aug 17 19:37:09 2020 -0600
++++ b/lib/util/str2sig.c Tue Aug 25 16:48:13 2020 -0600
+@@ -1,7 +1,7 @@
+ /*
+ * SPDX-License-Identifier: ISC
+ *
+- * Copyright (c) 2019 Todd C. Miller <Todd.Miller@sudo.ws>
++ * Copyright (c) 2019-2020 Todd C. Miller <Todd.Miller@sudo.ws>
+ *
+ * Permission to use, copy, modify, and distribute this software for any
+ * purpose with or without fee is hereby granted, provided that the above
+@@ -37,19 +37,22 @@
+ #include "sudo_compat.h"
+ #include "sudo_util.h"
+
+-#if defined(HAVE_DECL_SYS_SIGNAME) && HAVE_DECL_SYS_SIGNAME == 1
+-# define sudo_sys_signame sys_signame
+-#elif defined(HAVE_DECL__SYS_SIGNAME) && HAVE_DECL__SYS_SIGNAME == 1
+-# define sudo_sys_signame _sys_signame
+-#elif defined(HAVE_DECL_SYS_SIGABBREV) && HAVE_DECL_SYS_SIGABBREV == 1
+-# define sudo_sys_signame sys_sigabbrev
+-#else
+-# ifdef HAVE_SYS_SIGABBREV
+- /* sys_sigabbrev is not declared by glibc */
+-# define sudo_sys_signame sys_sigabbrev
++#if !defined(HAVE_SIGABBREV_NP)
++# if defined(HAVE_DECL_SYS_SIGNAME) && HAVE_DECL_SYS_SIGNAME == 1
++# define sigabbrev_np(_x) sys_signame[(_x)]
++# elif defined(HAVE_DECL__SYS_SIGNAME) && HAVE_DECL__SYS_SIGNAME == 1
++# define sigabbrev_np(_x) _sys_signame[(_x)]
++# elif defined(HAVE_SYS_SIGABBREV)
++# define sigabbrev_np(_x) sys_sigabbrev[(_x)]
++# if defined(HAVE_DECL_SYS_SIGABBREV) && HAVE_DECL_SYS_SIGABBREV == 0
++ /* sys_sigabbrev is not declared by glibc */
++ extern const char *const sys_sigabbrev[NSIG];
++# endif
++# else
++# define sigabbrev_np(_x) sudo_sys_signame[(_x)]
++ extern const char *const sudo_sys_signame[NSIG];
+ # endif
+-extern const char *const sudo_sys_signame[NSIG];
+-#endif
++#endif /* !HAVE_SIGABBREV_NP */
+
+ /*
+ * Many systems use aliases for source backward compatibility.
+@@ -154,11 +157,11 @@
+ }
+ }
+
+- /* Check sys_signame[]. */
+ for (signo = 1; signo < NSIG; signo++) {
+- if (sudo_sys_signame[signo] != NULL) {
++ const char *cp = sigabbrev_np(signo);
++ if (cp != NULL) {
+ /* On macOS sys_signame[] may contain lower-case names. */
+- if (strcasecmp(signame, sudo_sys_signame[signo]) == 0) {
++ if (strcasecmp(signame, cp) == 0) {
+ *result = signo;
+ return 0;
+ }
+
diff --git a/app-admin/sudo/sudo-1.9.2-r1.ebuild b/app-admin/sudo/sudo-1.9.2-r1.ebuild
new file mode 100644
index 000000000000..1f1f6e60dd34
--- /dev/null
+++ b/app-admin/sudo/sudo-1.9.2-r1.ebuild
@@ -0,0 +1,265 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit pam multilib libtool systemd tmpfiles
+
+MY_P="${P/_/}"
+MY_P="${MY_P/beta/b}"
+
+DESCRIPTION="Allows users or groups to run commands as other users"
+HOMEPAGE="https://www.sudo.ws/"
+if [[ ${PV} == "9999" ]] ; then
+ inherit mercurial
+ EHG_REPO_URI="https://www.sudo.ws/repos/sudo"
+else
+ uri_prefix=
+ case ${P} in
+ *_beta*|*_rc*) uri_prefix=beta/ ;;
+ esac
+
+ SRC_URI="https://www.sudo.ws/sudo/dist/${uri_prefix}${MY_P}.tar.gz
+ ftp://ftp.sudo.ws/pub/sudo/${uri_prefix}${MY_P}.tar.gz"
+ if [[ ${PV} != *_beta* ]] && [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~sparc-solaris"
+ fi
+fi
+
+# Basic license is ISC-style as-is, some files are released under
+# 3-clause BSD license
+LICENSE="ISC BSD"
+SLOT="0"
+IUSE="gcrypt ldap libressl nls offensive pam sasl +secure-path selinux +sendmail skey ssl sssd"
+
+DEPEND="
+ sys-libs/zlib:=
+ gcrypt? ( dev-libs/libgcrypt:= )
+ ldap? (
+ >=net-nds/openldap-2.1.30-r1
+ sasl? (
+ dev-libs/cyrus-sasl
+ net-nds/openldap[sasl]
+ )
+ )
+ pam? ( sys-libs/pam )
+ sasl? ( dev-libs/cyrus-sasl )
+ skey? ( >=sys-auth/skey-1.1.5-r1 )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+ sssd? ( sys-auth/sssd[sudo] )
+"
+RDEPEND="
+ ${DEPEND}
+ >=app-misc/editor-wrapper-3
+ virtual/editor
+ ldap? ( dev-lang/perl )
+ pam? ( sys-auth/pambase )
+ selinux? ( sec-policy/selinux-sudo )
+ sendmail? ( virtual/mta )
+"
+BDEPEND="
+ sys-devel/bison
+ virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="
+ pam? ( !skey )
+ skey? ( !pam )
+"
+
+REQUIRED_USE="?? ( gcrypt ssl )"
+
+MAKEOPTS+=" SAMPLES="
+
+PATCHES=( "${FILESDIR}/${P}-glibc-2.32.patch" ) # drop for releases after 1.9.2
+
+src_prepare() {
+ default
+ elibtoolize
+}
+
+set_secure_path() {
+ # FIXME: secure_path is a compile time setting. using PATH or
+ # ROOTPATH is not perfect, env-update may invalidate this, but until it
+ # is available as a sudoers setting this will have to do.
+ einfo "Setting secure_path ..."
+
+ # first extract the default ROOTPATH from build env
+ SECURE_PATH=$(unset ROOTPATH; . "${EPREFIX}"/etc/profile.env;
+ echo "${ROOTPATH}")
+ case "${SECURE_PATH}" in
+ */usr/sbin*) ;;
+ *) SECURE_PATH=$(unset PATH;
+ . "${EPREFIX}"/etc/profile.env; echo "${PATH}")
+ ;;
+ esac
+ if [[ -z ${SECURE_PATH} ]] ; then
+ ewarn " Failed to detect SECURE_PATH, please report this"
+ fi
+
+ # then remove duplicate path entries
+ cleanpath() {
+ local newpath thisp IFS=:
+ for thisp in $1 ; do
+ if [[ :${newpath}: != *:${thisp}:* ]] ; then
+ newpath+=:${thisp}
+ else
+ einfo " Duplicate entry ${thisp} removed..."
+ fi
+ done
+ SECURE_PATH=${newpath#:}
+ }
+ cleanpath /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin${SECURE_PATH:+:${SECURE_PATH}}
+
+ # finally, strip gcc paths #136027
+ rmpath() {
+ local e newpath thisp IFS=:
+ for thisp in ${SECURE_PATH} ; do
+ for e ; do [[ ${thisp} == ${e} ]] && continue 2 ; done
+ newpath+=:${thisp}
+ done
+ SECURE_PATH=${newpath#:}
+ }
+ rmpath '*/gcc-bin/*' '*/gnat-gcc-bin/*' '*/gnat-gcc/*'
+
+ einfo "... done"
+}
+
+src_configure() {
+ local SECURE_PATH
+ set_secure_path
+
+ # audit: somebody got to explain me how I can test this before I
+ # enable it.. - Diego
+ # plugindir: autoconf code is crappy and does not delay evaluation
+ # until `make` time, so we have to use a full path here rather than
+ # basing off other values.
+ myeconfargs=(
+ # requires some python eclass
+ --disable-python
+ --enable-tmpfiles.d="${EPREFIX}"/usr/lib/tmpfiles.d
+ --enable-zlib=system
+ --with-editor="${EPREFIX}"/usr/libexec/editor
+ --with-env-editor
+ --with-plugindir="${EPREFIX}"/usr/$(get_libdir)/sudo
+ --with-rundir="${EPREFIX}"/run/sudo
+ --with-vardir="${EPREFIX}"/var/db/sudo
+ --without-linux-audit
+ --without-opie
+ $(use_enable gcrypt)
+ $(use_enable nls)
+ $(use_enable sasl)
+ $(use_enable ssl openssl)
+ $(use_with ldap)
+ $(use_with ldap ldap_conf_file /etc/ldap.conf.sudo)
+ $(use_with offensive insults)
+ $(use_with offensive all-insults)
+ $(use_with pam)
+ $(use_with pam pam-login)
+ $(use_with secure-path secure-path "${SECURE_PATH}")
+ $(use_with selinux)
+ $(use_with sendmail)
+ $(use_with skey)
+ $(use_with sssd)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ if use ldap ; then
+ dodoc README.LDAP
+
+ cat <<-EOF > "${T}"/ldap.conf.sudo
+ # See ldap.conf(5) and README.LDAP for details
+ # This file should only be readable by root
+
+ # supported directives: host, port, ssl, ldap_version
+ # uri, binddn, bindpw, sudoers_base, sudoers_debug
+ # tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}
+ EOF
+
+ if use sasl ; then
+ cat <<-EOF >> "${T}"/ldap.conf.sudo
+
+ # SASL directives: use_sasl, sasl_mech, sasl_auth_id
+ # sasl_secprops, rootuse_sasl, rootsasl_auth_id, krb5_ccname
+ EOF
+ fi
+
+ insinto /etc
+ doins "${T}"/ldap.conf.sudo
+ fperms 0440 /etc/ldap.conf.sudo
+
+ insinto /etc/openldap/schema
+ newins doc/schema.OpenLDAP sudo.schema
+ fi
+
+ pamd_mimic system-auth sudo auth account session
+ pamd_mimic system-auth sudo-i auth account session
+
+ keepdir /var/db/sudo/lectured
+ fperms 0700 /var/db/sudo/lectured
+ fperms 0711 /var/db/sudo #652958
+
+ # Don't install into /run as that is a tmpfs most of the time
+ # (bug #504854)
+ rm -rf "${ED}"/run || die
+
+ find "${ED}" -type f -name "*.la" -delete || die #697812
+}
+
+pkg_postinst() {
+ tmpfiles_process sudo.conf
+
+ #652958
+ local sudo_db="${EROOT}/var/db/sudo"
+ if [[ "$(stat -c %a "${sudo_db}")" -ne 711 ]] ; then
+ chmod 711 "${sudo_db}" || die
+ fi
+
+ if use ldap ; then
+ ewarn
+ ewarn "sudo uses the /etc/ldap.conf.sudo file for ldap configuration."
+ ewarn
+ if grep -qs '^[[:space:]]*sudoers:' "${ROOT}"/etc/nsswitch.conf ; then
+ ewarn "In 1.7 series, LDAP is no more consulted, unless explicitly"
+ ewarn "configured in /etc/nsswitch.conf."
+ ewarn
+ ewarn "To make use of LDAP, add this line to your /etc/nsswitch.conf:"
+ ewarn " sudoers: ldap files"
+ ewarn
+ fi
+ fi
+ if use prefix ; then
+ ewarn
+ ewarn "To use sudo, you need to change file ownership and permissions"
+ ewarn "with root privileges, as follows:"
+ ewarn
+ ewarn " # chown root:root ${EPREFIX}/usr/bin/sudo"
+ ewarn " # chown root:root ${EPREFIX}/usr/lib/sudo/sudoers.so"
+ ewarn " # chown root:root ${EPREFIX}/etc/sudoers"
+ ewarn " # chown root:root ${EPREFIX}/etc/sudoers.d"
+ ewarn " # chown root:root ${EPREFIX}/var/db/sudo"
+ ewarn " # chmod 4111 ${EPREFIX}/usr/bin/sudo"
+ ewarn
+ fi
+
+ elog "To use the -A (askpass) option, you need to install a compatible"
+ elog "password program from the following list. Starred packages will"
+ elog "automatically register for the use with sudo (but will not force"
+ elog "the -A option):"
+ elog ""
+ elog " [*] net-misc/ssh-askpass-fullscreen"
+ elog " net-misc/x11-ssh-askpass"
+ elog ""
+ elog "You can override the choice by setting the SUDO_ASKPASS environmnent"
+ elog "variable to the program you want to use."
+}
diff --git a/app-arch/arj/arj-3.10.22-r7.ebuild b/app-arch/arj/arj-3.10.22-r7.ebuild
index 2cfa30f4cf93..ac01385b6ddb 100644
--- a/app-arch/arj/arj-3.10.22-r7.ebuild
+++ b/app-arch/arj/arj-3.10.22-r7.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit autotools
+inherit autotools toolchain-funcs
PATCH_LEVEL=15
MY_P="${PN}_${PV}"
@@ -47,5 +47,6 @@ src_prepare() {
src_configure() {
cd gnu || die 'failed to change to the "gnu" directory'
+ tc-export CC # Uses autoconf but not automake.
econf
}
diff --git a/app-arch/tar/tar-1.32.90.ebuild b/app-arch/tar/tar-1.32.90.ebuild
index e24fc8e11b86..87f3d927f1c8 100644
--- a/app-arch/tar/tar-1.32.90.ebuild
+++ b/app-arch/tar/tar-1.32.90.ebuild
@@ -21,9 +21,9 @@ LIB_DEPEND="acl? ( virtual/acl[static-libs(+)] )"
RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
selinux? ( sys-libs/libselinux )"
DEPEND="${RDEPEND}
- nls? ( >=sys-devel/gettext-0.10.35 )
static? ( ${LIB_DEPEND} )
xattr? ( elibc_glibc? ( sys-apps/attr ) )"
+BDEPEND="nls? ( sys-devel/gettext )"
src_prepare() {
default
diff --git a/app-editors/hteditor/Manifest b/app-editors/hteditor/Manifest
index 269e9e3ca85d..54779c7af5c0 100644
--- a/app-editors/hteditor/Manifest
+++ b/app-editors/hteditor/Manifest
@@ -1,2 +1 @@
-DIST ht-2.1.0.tar.bz2 884139 BLAKE2B c979563cbfc4df7e14f587b250fbf099d9f4683afddb3afc88693284c378c45466dfa3c47555fc69e83e2972cfabab63f3cdd42fd85602842854372131e4063d SHA512 6b5fc5fcbc63b9b7c85721158e044e4578ebfdc38618c760c0e6de06a276bccd3a960ab8bed172de788934515ad94d86349c4abd3228da66b1601deaaa2ce410
DIST ht-2.1.1_pre20161206.tar.gz 1082309 BLAKE2B 4fb00b0aa6115da3b561436f9f9905c48d93d6768bcf207931bb46840727c85fb5c9a1afda8ed805f71e9ce242161a2b95e26add02ff5aedc407df7f11c6ddec SHA512 33d681ee8c978568dd0d187d6846994362625d000c316baab10c237175fa6a47dc0e7b61cfd503c4dfad8a01d27af7fc87cbf20109087e1d9280048c898fa621
diff --git a/app-editors/hteditor/hteditor-2.1.0-r1.ebuild b/app-editors/hteditor/hteditor-2.1.0-r1.ebuild
deleted file mode 100644
index 1660e108bde7..000000000000
--- a/app-editors/hteditor/hteditor-2.1.0-r1.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools flag-o-matic toolchain-funcs
-
-MY_P=${P/editor}
-
-DESCRIPTION="A file viewer, editor and analyzer for text, binary, and executable files"
-HOMEPAGE="http://hte.sourceforge.net/ https://github.com/sebastianbiallas/ht/"
-SRC_URI="mirror://sourceforge/hte/${MY_P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 x86"
-IUSE="X"
-
-RDEPEND="sys-libs/ncurses:0=
- X? ( x11-libs/libX11 )
- >=dev-libs/lzo-2"
-DEPEND="${RDEPEND}
- virtual/yacc
- sys-devel/flex"
-
-DOCS=( AUTHORS ChangeLog KNOWNBUGS README TODO )
-
-S=${WORKDIR}/${MY_P}
-
-PATCHES=(
- "${FILESDIR}"/${P}-gcc-7.patch
- "${FILESDIR}"/${P}-tinfo.patch
- "${FILESDIR}"/${P}-gcc-6-uchar.patch
- "${FILESDIR}"/${P}-format-security.patch
- "${FILESDIR}"/${P}-gcc-10.patch
- "${FILESDIR}"/${P}-AR.patch
-)
-
-src_prepare() {
- default
- eautoreconf
-
- # Many literals are concatenated with macro definitions.
- # Instead of patching them all let's pick old c++ standard
- # and port to c++11 upstream.
- # https://bugs.gentoo.org/729252
- append-cxxflags -std=c++98
-}
-
-src_configure() {
- econf \
- $(use_enable X x11-textmode) \
- --enable-maintainermode
-}
-
-src_install() {
- #For prefix
- chmod u+x "${S}/install-sh"
-
- local HTML_DOCS="doc/*.html"
- doinfo doc/*.info
-
- default
-}
diff --git a/dev-lang/spidermonkey/spidermonkey-78.2.0.ebuild b/dev-lang/spidermonkey/spidermonkey-78.2.0.ebuild
index cbc97965855d..c41e32dbc5c7 100644
--- a/dev-lang/spidermonkey/spidermonkey-78.2.0.ebuild
+++ b/dev-lang/spidermonkey/spidermonkey-78.2.0.ebuild
@@ -58,6 +58,7 @@ IUSE="debug +jit test"
RESTRICT="!test? ( test )"
BDEPEND="${PYTHON_DEPS}
+ >=virtual/rust-1.43.0
virtual/pkgconfig"
CDEPEND=">=dev-libs/icu-67.1:=
@@ -66,7 +67,6 @@ CDEPEND=">=dev-libs/icu-67.1:=
>=sys-libs/zlib-1.2.3"
DEPEND="${CDEPEND}
- >=virtual/rust-1.43.0
test? (
$(python_gen_any_dep 'dev-python/six[${PYTHON_USEDEP}]')
)"
diff --git a/dev-libs/libffi/libffi-3.3-r1.ebuild b/dev-libs/libffi/libffi-3.3-r1.ebuild
deleted file mode 100644
index 996855591ae6..000000000000
--- a/dev-libs/libffi/libffi-3.3-r1.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit multilib multilib-minimal toolchain-funcs
-
-MY_PV=${PV/_rc/-rc}
-MY_P=${PN}-${MY_PV}
-
-DESCRIPTION="a portable, high level programming interface to various calling conventions"
-HOMEPAGE="https://sourceware.org/libffi/"
-SRC_URI="https://github.com/libffi/libffi/releases/download/v${MY_PV}/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0/7" # SONAME=libffi.so.7
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="debug pax_kernel static-libs test"
-
-RESTRICT="!test? ( test )"
-
-RDEPEND=""
-DEPEND=""
-BDEPEND="test? ( dev-util/dejagnu )"
-
-DOCS="ChangeLog* README.md"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.2.1-o-tmpfile-eacces.patch #529044
- "${FILESDIR}"/${PN}-3.3_rc0-ppc-macos-go.patch
- "${FILESDIR}"/${PN}-3.3-power7.patch
- "${FILESDIR}"/${PN}-3.3-power7-memcpy.patch
- "${FILESDIR}"/${PN}-3.3-power7-memcpy-2.patch
-)
-
-S=${WORKDIR}/${MY_P}
-
-ECONF_SOURCE=${S}
-
-pkg_setup() {
- # Check for orphaned libffi, see https://bugs.gentoo.org/354903 for example
- if [[ ${ROOT} == "/" && ${EPREFIX} == "" ]] && ! has_version ${CATEGORY}/${PN}; then
- local base="${T}"/conftest
- echo 'int main() { }' > "${base}".c
- $(tc-getCC) -o "${base}" "${base}".c -lffi >&/dev/null
- if [ $? -eq 0 ]; then
- eerror "The linker reported linking against -lffi to be working while it shouldn't have."
- eerror "This is wrong and you should find and delete the old copy of libffi before continuing."
- die "The system is in inconsistent state with unknown libffi installed."
- fi
- fi
-}
-
-multilib_src_configure() {
- use userland_BSD && export HOST="${CHOST}"
- # --includedir= path maintains a few properties:
- # 1. have stable name across libffi versions: some packages like
- # dev-lang/ghc or kde-frameworks/networkmanager-qt embed
- # ${includedir} at build-time. Don't require those to be
- # rebuilt unless SONAME changes. bug #695788
- #
- # We use /usr/.../${PN} (instead of former /usr/.../${P}).
- #
- # 2. have ${ABI}-specific location as ffi.h is target-dependent.
- #
- # We use /usr/$(get_libdir)/... to have ABI identifier.
- econf \
- --includedir="${EPREFIX}"/usr/$(get_libdir)/${PN}/include \
- --disable-multi-os-directory \
- $(use_enable static-libs static) \
- $(use_enable pax_kernel pax_emutramp) \
- $(use_enable debug)
-}
-
-multilib_src_install_all() {
- find "${ED}" -name "*.la" -delete || die
- einstalldocs
-}
diff --git a/dev-libs/mpfr/Manifest b/dev-libs/mpfr/Manifest
index de6556d1cb49..77f8d18385be 100644
--- a/dev-libs/mpfr/Manifest
+++ b/dev-libs/mpfr/Manifest
@@ -1,2 +1 @@
-DIST mpfr-4.0.2.tar.xz 1441996 BLAKE2B 4c1a15208c2dc3dcc1424974de506198e9cc479c70255149876c7f541133499ada5c89f07393b120b7079e6bbaf8ea03e5e496e1350b295e687392a6e0341c1c SHA512 d583555d08863bf36c89b289ae26bae353d9a31f08ee3894520992d2c26e5683c4c9c193d7ad139632f71c0a476d85ea76182702a98bf08dde7b6f65a54f8b88
DIST mpfr-4.1.0.tar.xz 1525476 BLAKE2B 41d1be0c4b557760f12a4525ad3a84b6e2cd6f0927c935fcfba577ac0490e582d1ae4b581dce58e21e705cf9d7c88373054d7fb7a94bb32c69b339f99a25dc68 SHA512 1bd1c349741a6529dfa53af4f0da8d49254b164ece8a46928cdb13a99460285622d57fe6f68cef19c6727b3f9daa25ddb3d7d65c201c8f387e421c7f7bee6273
diff --git a/dev-libs/mpfr/mpfr-4.0.2.ebuild b/dev-libs/mpfr/mpfr-4.0.2.ebuild
deleted file mode 100644
index b5731b6eb616..000000000000
--- a/dev-libs/mpfr/mpfr-4.0.2.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-# NOTE: we cannot depend on autotools here starting with gcc-4.3.x
-inherit libtool multilib-minimal preserve-libs
-
-MY_PV=${PV/_p*}
-MY_P=${PN}-${MY_PV}
-PLEVEL=${PV/*p}
-DESCRIPTION="library for multiple-precision floating-point computations with exact rounding"
-HOMEPAGE="https://www.mpfr.org/"
-SRC_URI="https://www.mpfr.org/mpfr-${MY_PV}/${MY_P}.tar.xz"
-
-LICENSE="LGPL-2.1"
-SLOT="0/6" # libmpfr.so version
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="static-libs"
-
-RDEPEND=">=dev-libs/gmp-5.0.0[${MULTILIB_USEDEP},static-libs?]"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/${MY_P}
-
-HTML_DOCS=( doc/FAQ.html )
-
-src_prepare() {
- if [[ ${PLEVEL} != ${PV} ]] ; then
- local i
- for (( i = 1; i <= PLEVEL; ++i )) ; do
- eapply "${FILESDIR}"/${MY_PV}/patch$(printf '%02d' ${i})
- done
- fi
- eapply_user
- find . -type f -exec touch -r configure {} +
- elibtoolize
-}
-
-multilib_src_configure() {
- # Make sure mpfr doesn't go probing toolchains it shouldn't #476336#19
- ECONF_SOURCE=${S} \
- user_redefine_cc=yes \
- econf $(use_enable static-libs static)
-}
-
-multilib_src_install_all() {
- rm "${ED}"/usr/share/doc/"${P}"/COPYING*
- use static-libs || find "${ED}"/usr -name '*.la' -delete
-}
-
-pkg_preinst() {
- preserve_old_lib /usr/$(get_libdir)/libmpfr$(get_libname 4)
-}
-
-pkg_postinst() {
- preserve_old_lib_notify /usr/$(get_libdir)/libmpfr$(get_libname 4)
-}
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index 753a3e481852..7e6b5804208d 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
DIST python-debian_0.1.36.tar.xz 308364 BLAKE2B 1cc7e2844db8143a3a4cc4f59c4bbb90bb90ab024b2524335d8ab69947ffe8c64b2b41a54a5d199cd287a3d6b6a0173c75be708af9aedfeb871e354ac1873528 SHA512 3f2ca6d86f6b6d383a1628021a77d19b562b0c409d204dba4de6968d2cdd2c8fb4aa882429fa1ce6af5361352f7a51b339c481dd47937cb103a08132379d77c5
+DIST python-debian_0.1.37.tar.xz 308568 BLAKE2B 7747ed21d3d6e06d5342ace6de83b79a93c76e44e8fd6d5738575e154f6d55dacd5dbb27d0210fac6f0a9db95b6d95b1fb9106da64ffbe7f77ec9d1a3e829d49 SHA512 0c13d6ee008bdcdfc28ac35d031a8486994a79a90d6b817349f09936c798211333604fd967bfde720fbc6b089bbec8e52b8c0977c430517e6f8c23d370fdff7c
diff --git a/dev-python/python-debian/python-debian-0.1.37.ebuild b/dev-python/python-debian/python-debian-0.1.37.ebuild
new file mode 100644
index 000000000000..0f352c156f2f
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.37.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="https://packages.debian.org/sid/python-debian"
+SRC_URI="mirror://debian/pool/main/${P:0:1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( app-arch/dpkg )
+"
+
+PATCHES=( "${FILESDIR}/0.1.36-disable-apt-pkg.patch" )
+
+python_compile_all() {
+ ${EPYTHON} lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ ${EPYTHON} -m unittest discover --verbose lib || die "Testing failed with ${EPYTHON}"
+}
diff --git a/media-libs/libpng/libpng-1.6.37-r1.ebuild b/media-libs/libpng/libpng-1.6.37-r1.ebuild
new file mode 100644
index 000000000000..c5ed306e8a8e
--- /dev/null
+++ b/media-libs/libpng/libpng-1.6.37-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit libtool multilib-minimal
+
+DESCRIPTION="Portable Network Graphics library"
+HOMEPAGE="http://www.libpng.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz
+ apng? ( mirror://sourceforge/apng/${P}-apng.patch.gz )"
+
+LICENSE="libpng2"
+SLOT="0/16"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="apng cpu_flags_arm_neon cpu_flags_x86_sse static-libs"
+
+RDEPEND=">=sys-libs/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ if use apng; then
+ eapply -p0 "${WORKDIR}"/${PN}-*-apng.patch
+ # Don't execute symbols check with apng patch wrt #378111
+ sed -i -e '/^check/s:scripts/symbols.chk::' Makefile.in || die
+ fi
+ elibtoolize
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable cpu_flags_x86_sse intel-sse)
+ $(use_enable static-libs static)
+ --enable-arm-neon=$(usex cpu_flags_arm_neon)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ DOCS=( ANNOUNCE CHANGES libpng-manual.txt README TODO )
+ einstalldocs
+ find "${ED}" -name '*.la' -type f -delete || die
+}
diff --git a/net-ftp/proftpd/Manifest b/net-ftp/proftpd/Manifest
index c5e3f3f4303f..9c9641502140 100644
--- a/net-ftp/proftpd/Manifest
+++ b/net-ftp/proftpd/Manifest
@@ -1,7 +1,6 @@
DIST mod_gss-1.3.9.tar.gz 117158 BLAKE2B f957fa465f9a9b06ceb9c190ab60c7f67fdeeef79dce7f51bcfed8dc726cb01a231232c65821ca3a240b77a5019fa22f31b45496c128a06627bd24dc960b566f SHA512 44615983b0f67939b110e54c4a83b3056263bad72ba78de1b16f9f8590f5504c60e679f55484708d49e694c528d4715d9abd0cb75cfe439982ea9e02e0c18891
DIST mod_vroot-0.9.4.tar.gz 29461 BLAKE2B eb4d3f6425ab0a1a61ca607e4655b5f8ff6ea342ca49d49598e7a4c5596382aa2c1d4e8228a1cdcfff324feb92dac80fcc58e35bbb77155069749afdd7cc41fb SHA512 f5de392c9fe39f0a03b0783a7092bbfe17ea6db991f4b4e4a2d8f092f073d27ef2c64dd6484d5665b5abc808c0caba016d4fc3fab3da3810f5ebe5249bb4cbce
DIST proftpd-1.3.7a.tar.gz 20414571 BLAKE2B 829f3ff79cf74bc9cacfc611877cd1373daefb022b10eb427be56325d455dc7ba2f87a7dbefed06dca0c4cf06597043aac9141e4156e775a4f343bbb07a29375 SHA512 abb53c494677001b6d8d5a15af4ae47e2527025c952667b8c42e144452266d2b7f89b57e68c96177e6054733eb5e5d04cc1c0cf61ff7c3697910e0a525a9de87
-DIST proftpd-1.3.7rc4.tar.gz 20407496 BLAKE2B fd98b2ca3f4b6448b8739ff39db72d06f508e2507c156043a022ef5275d21775bdecc50c4434173f40fe1e40f439aebc58c9efaa6a5e6946dd15d5b52a36bda0 SHA512 8a782c27fae757b940396a9dd74a7336cac982f0fb3b28afd6a0b3837c8e93fc74c329ac520dd69f051740303ab776da2d9368d0b46814d264cad5ac0ac7003b
DIST proftpd-mod-case-0.7.tar.gz 13184 BLAKE2B bf2118d9b8ed97a5b192b92b515d17ac7a0d75e154288e5afb3a1c3d686e635093df9501cc1c9b077f87c14326e31e8b9f751803dfca1eae9643f12333eb633f SHA512 c08d13ef82fec36ae75aa3213dd02e0ce4045904849f422e152f039a9da66a45e4423751074b8bcf8ce347a40ce0e7bde798a85cbadc962fd872aeaa898261fc
DIST proftpd-mod-diskuse-0.9.tar.gz 18596 BLAKE2B 38c704c8607f0f93b080e77fe793cfe0125c88acc6f818ecb059c6c21a983e040ff5f2c1b91e34ef4ba2666a808d896018c364d1f12ea38f0c477e79bdaa2120 SHA512 d41976bf2810e4b783e775e8c767ca2030c3b5df116219fd31cbbac7feaf9922c315bf4ea092881b0d6cf43f2f4c5dbcae61be3c3a833058d12f962a3024b975
DIST proftpd-mod-msg-0.4.1.tar.gz 8082 BLAKE2B 970b46b19d25bac22ecb01495270a523997a0b7d5b53b9470b4744b919adcf03d5bcee2df85ba88c4a4c20a9fc30dc01459ffb58c5dae8e78a52a7379bf36f11 SHA512 38ea63b1d355e1e10a6a4477596bf3fa28529a871c9fb8dbf093b5317f0743ef9cb59b986d0b8c1c7ed932dad5d5d571883d596fad2d3b793431824db4487012
diff --git a/net-ftp/proftpd/proftpd-1.3.7_rc4-r1.ebuild b/net-ftp/proftpd/proftpd-1.3.7_rc4-r1.ebuild
deleted file mode 100644
index 805cd6c69ab2..000000000000
--- a/net-ftp/proftpd/proftpd-1.3.7_rc4-r1.ebuild
+++ /dev/null
@@ -1,277 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit multilib systemd tmpfiles toolchain-funcs
-
-MOD_CASE="0.7"
-MOD_CLAMAV="0.14rc2"
-MOD_DISKUSE="0.9"
-MOD_GSS="1.3.9"
-MOD_MSG="0.4.1"
-MOD_VROOT="0.9.4"
-
-DESCRIPTION="An advanced and very configurable FTP server"
-HOMEPAGE="http://www.proftpd.org/
- http://www.castaglia.org/proftpd/
- https://github.com/jbenden/mod_clamav
- http://gssmod.sourceforge.net/"
-SRC_URI="ftp://ftp.proftpd.org/distrib/source/${P/_/}.tar.gz
- case? ( http://www.castaglia.org/${PN}/modules/${PN}-mod-case-${MOD_CASE}.tar.gz )
- clamav? ( https://github.com/jbenden/mod_clamav/archive/v${MOD_CLAMAV}.tar.gz -> ${PN}-mod_clamav-${MOD_CLAMAV}.tar.gz )
- diskuse? ( http://www.castaglia.org/${PN}/modules/${PN}-mod-diskuse-${MOD_DISKUSE}.tar.gz )
- kerberos? ( mirror://sourceforge/gssmod/mod_gss-${MOD_GSS}.tar.gz )
- msg? ( http://www.castaglia.org/${PN}/modules/${PN}-mod-msg-${MOD_MSG}.tar.gz )
- vroot? ( https://github.com/Castaglia/${PN}-mod_vroot/archive/v${MOD_VROOT}.tar.gz -> mod_vroot-${MOD_VROOT}.tar.gz )"
-LICENSE="GPL-2"
-
-SLOT="0"
-KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
-IUSE="acl authfile ban +caps case clamav copy ctrls deflate diskuse dso dynmasq exec ifsession ifversion ident ipv6
- kerberos ldap libressl log-forensic memcache msg mysql ncurses nls pam +pcre postgres qos radius
- ratio readme rewrite selinux sftp shaper sitemisc snmp sodium softquota sqlite ssl tcpd test unique-id vroot"
-# TODO: geoip
-REQUIRED_USE="ban? ( ctrls )
- msg? ( ctrls )
- sftp? ( ssl )
- shaper? ( ctrls )
-
- mysql? ( ssl )
- postgres? ( ssl )
- sqlite? ( ssl )
-"
-
-CDEPEND="acl? ( virtual/acl )
- caps? ( sys-libs/libcap )
- clamav? ( app-antivirus/clamav )
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- memcache? ( >=dev-libs/libmemcached-0.41 )
- mysql? ( dev-db/mysql-connector-c:0= )
- nls? ( virtual/libiconv )
- ncurses? ( sys-libs/ncurses:0= )
- ssl? (
- !libressl? ( dev-libs/openssl:0= )
- libressl? ( dev-libs/libressl:= )
- )
- pam? ( sys-libs/pam )
- pcre? ( dev-libs/libpcre )
- postgres? ( dev-db/postgresql:= )
- sodium? ( dev-libs/libsodium:0= )
- sqlite? ( dev-db/sqlite:3 )
-"
-DEPEND="${CDEPEND}
- test? ( dev-libs/check )"
-RDEPEND="${CDEPEND}
- net-ftp/ftpbase
- selinux? ( sec-policy/selinux-ftp )"
-
-S="${WORKDIR}/${P/_/}"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.3.6-use-trace.patch
- "${FILESDIR}"/${PN}-1.3.7_rc4-ldap_mod-SEGV.patch
- "${FILESDIR}"/${PN}-1.3.7_rc4-str-sentinel.patch
-)
-
-RESTRICT=test # Some tests are ran in chroot. Confuse sandbox.
-
-in_dir() {
- pushd "${WORKDIR}/${1}" || die
- shift
- "$@"
- popd
-}
-
-src_prepare() {
- # Skip 'install-conf' / Support LINGUAS
- sed -i -e "/install-all/s/ install-conf//" Makefile.in || die
- sed -i -e "s/^LANGS=.*$/LANGS=${LINGUAS}/" locale/Makefile.in || die
-
- # Prepare external modules
- if use case; then
- cp -v "${WORKDIR}"/mod_case/mod_case.c contrib || die
- cp -v "${WORKDIR}"/mod_case/mod_case.html doc/contrib || die
- fi
-
- if use clamav ; then
- cp -v "${WORKDIR}"/mod_clamav-${MOD_CLAMAV}/mod_clamav.{c,h} contrib || die
- eapply -p0 "${WORKDIR}"/mod_clamav-${MOD_CLAMAV}/001-add-mod_clamav-to-tests.patch
- fi
-
- if use diskuse; then
- in_dir mod_diskuse eapply "${FILESDIR}"/${PN}-1.3.6_rc4-diskuse-refresh-api.patch
-
- # ./configure will modify files. Symlink them instead of copying
- ln -sv "${WORKDIR}"/mod_diskuse/mod_diskuse.h "${S}"/contrib || die
-
- cp -v "${WORKDIR}"/mod_diskuse/mod_diskuse.c "${S}"/contrib || die
- cp -v "${WORKDIR}"/mod_diskuse/mod_diskuse.html "${S}"/doc/contrib || die
- fi
-
- if use msg; then
- in_dir mod_msg eapply "${FILESDIR}"/${PN}-1.3.6_rc4-msg-refresh-api.patch
-
- cp -v "${WORKDIR}"/mod_msg/mod_msg.c contrib || die
- cp -v "${WORKDIR}"/mod_msg/mod_msg.html doc/contrib || die
- fi
-
- if use vroot; then
- in_dir ${PN}-mod_vroot-${MOD_VROOT} eapply "${FILESDIR}"/${PN}-1.3.6_rc4-vroot-refresh-api.patch
-
- cp -v "${WORKDIR}"/${PN}-mod_vroot-${MOD_VROOT}/mod_vroot.c contrib || die
- cp -v "${WORKDIR}"/${PN}-mod_vroot-${MOD_VROOT}/mod_vroot.html doc/contrib || die
- fi
-
- if use kerberos ; then
- # in_dir mod_gss-${MOD_GSS} eapply "${FILESDIR}"/${PN}-1.3.6_rc4-gss-refresh-api.patch
-
- # Support app-crypt/heimdal / Gentoo Bug #284853
- sed -i -e "s/krb5_principal2principalname/_\0/" "${WORKDIR}"/mod_gss-${MOD_GSS}/mod_auth_gss.c.in || die
-
- # Remove obsolete DES / Gentoo Bug #324903
- # Replace 'rpm' lookups / Gentoo Bug #391021
- sed -i -e "/ac_gss_libs/s/ -ldes425//" \
- -e "s/ac_libdir=\`rpm -q -l.*$/ac_libdir=\/usr\/$(get_libdir)\//" \
- -e "s/ac_includedir=\`rpm -q -l.*$/ac_includedir=\/usr\/include\//" "${WORKDIR}"/mod_gss-${MOD_GSS}/configure{,.ac} || die
-
- # ./configure will modify files. Symlink them instead of copying
- ln -sv "${WORKDIR}"/mod_gss-${MOD_GSS}/mod_auth_gss.c "${S}"/contrib || die
- ln -sv "${WORKDIR}"/mod_gss-${MOD_GSS}/mod_gss.c "${S}"/contrib || die
- ln -sv "${WORKDIR}"/mod_gss-${MOD_GSS}/mod_gss.h "${S}"/include || die
-
- cp -v "${WORKDIR}"/mod_gss-${MOD_GSS}/README.mod_{auth_gss,gss} "${S}" || die
- cp -v "${WORKDIR}"/mod_gss-${MOD_GSS}/mod_gss.html "${S}"/doc/contrib || die
- cp -v "${WORKDIR}"/mod_gss-${MOD_GSS}/rfc{1509,2228}.txt "${S}"/doc/rfc || die
- fi
-
- default
-
- tc-export CC
-}
-
-src_configure() {
- local c m
-
- use acl && m="${m}:mod_facl"
- use ban && m="${m}:mod_ban"
- use case && m="${m}:mod_case"
- use clamav && m="${m}:mod_clamav"
- use copy && m="${m}:mod_copy"
- use ctrls && m="${m}:mod_ctrls_admin"
- use deflate && m="${m}:mod_deflate"
- if use diskuse ; then
- in_dir mod_diskuse econf
- m="${m}:mod_diskuse"
- fi
- use dynmasq && m="${m}:mod_dynmasq"
- use exec && m="${m}:mod_exec"
- use ifsession && m="${m}:mod_ifsession"
- use ifversion && m="${m}:mod_ifversion"
- if use kerberos ; then
- in_dir mod_gss-${MOD_GSS} econf
- m="${m}:mod_gss:mod_auth_gss"
- fi
- use ldap && m="${m}:mod_ldap"
- use log-forensic && m="${m}:mod_log_forensic"
- use msg && m="${m}:mod_msg"
- if use mysql || use postgres || use sqlite ; then
- m="${m}:mod_sql:mod_sql_passwd"
- use mysql && m="${m}:mod_sql_mysql"
- use postgres && m="${m}:mod_sql_postgres"
- use sqlite && m="${m}:mod_sql_sqlite"
- fi
- use qos && m="${m}:mod_qos"
- use radius && m="${m}:mod_radius"
- use ratio && m="${m}:mod_ratio"
- use readme && m="${m}:mod_readme"
- use rewrite && m="${m}:mod_rewrite"
- if use sftp ; then
- m="${m}:mod_sftp"
- use pam && m="${m}:mod_sftp_pam"
- use mysql || use postgres || use sqlite && m="${m}:mod_sftp_sql"
- fi
- use shaper && m="${m}:mod_shaper"
- use sitemisc && m="${m}:mod_site_misc"
- use snmp && m="${m}:mod_snmp"
- if use softquota ; then
- m="${m}:mod_quotatab:mod_quotatab_file"
- use ldap && m="${m}:mod_quotatab_ldap"
- use radius && m="${m}:mod_quotatab_radius"
- use mysql || use postgres || use sqlite && m="${m}:mod_quotatab_sql"
- fi
- if use ssl ; then
- m="${m}:mod_tls:mod_tls_shmcache"
- use memcache && m="${m}:mod_tls_memcache"
- fi
- if use tcpd ; then
- m="${m}:mod_wrap2:mod_wrap2_file"
- use mysql || use postgres || use sqlite && m="${m}:mod_wrap2_sql"
- fi
- use unique-id && m="${m}:mod_unique_id"
- use vroot && m="${m}:mod_vroot"
-
- if [[ -n ${PROFTP_CUSTOM_MODULES} ]]; then
- einfo "Adding user-specified extra modules: '${PROFTP_CUSTOM_MODULES}'"
- m="${m}:${PROFTP_CUSTOM_MODULES}"
- fi
-
- [[ -z ${m} ]] || c="${c} --with-modules=${m:1}"
-
- econf --localstatedir=/run/proftpd --sysconfdir=/etc/proftpd --disable-strip \
- $(use_enable acl facl) \
- $(use_enable authfile auth-file) \
- $(use_enable caps cap) \
- $(use_enable ctrls) \
- $(use_enable dso) \
- $(use_enable ident) \
- $(use_enable ipv6) \
- $(use_enable memcache) \
- $(use_enable ncurses) \
- $(use_enable nls) \
- $(use_enable ssl openssl) \
- $(use_enable pam auth-pam) \
- $(use_enable pcre) \
- $(use_enable sodium) \
- $(use_enable test tests) \
- --enable-trace \
- $(use_enable userland_GNU shadow) \
- $(use_enable userland_GNU autoshadow) \
- ${c:1}
-}
-
-src_test() {
- emake api-tests -C tests
-}
-
-src_install() {
- default
- [[ -z ${LINGUAS-set} ]] && rm -r "${ED}"/usr/share/locale
- rm -rf "${ED}"/run "${ED}"/var/run
-
- newinitd "${FILESDIR}"/proftpd.initd-r1 proftpd
- insinto /etc/proftpd
- doins "${FILESDIR}"/proftpd.conf.sample
-
- insinto /etc/xinetd.d
- newins "${FILESDIR}"/proftpd.xinetd proftpd
-
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/${PN}.logrotate ${PN}
-
- dodoc ChangeLog CREDITS INSTALL NEWS README* RELEASE_NOTES
-
- docinto html
- dodoc doc/*.html doc/contrib/*.html doc/howto/*.html doc/modules/*.html
-
- docinto rfc
- dodoc doc/rfc/*.txt
-
- systemd_dounit "${FILESDIR}"/${PN}.service
- systemd_newtmpfilesd "${FILESDIR}"/${PN}-tmpfiles.d.conf-r1 ${PN}.conf
-}
-
-pkg_postinst() {
- # Create /var/run files at package merge time: bug #650000
- tmpfiles_process ${PN}.conf
-}
diff --git a/sys-apps/acl/acl-2.2.53-r1.ebuild b/sys-apps/acl/acl-2.2.53-r1.ebuild
new file mode 100644
index 000000000000..4965f72787ce
--- /dev/null
+++ b/sys-apps/acl/acl-2.2.53-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic libtool toolchain-funcs multilib-minimal usr-ldscript
+
+DESCRIPTION="access control list utilities, libraries and headers"
+HOMEPAGE="https://savannah.nongnu.org/projects/acl"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="nls static-libs"
+
+RDEPEND="
+ >=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ # filter out -flto flags as they break getfacl/setfacl binaries
+ # (bug #667372)
+ filter-flags -flto*
+}
+
+src_prepare() {
+ default
+ elibtoolize #580792
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --bindir="${EPREFIX}"/bin
+ $(use_enable static-libs static)
+ --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+ $(use_enable nls)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ default
+
+ # move shared libs to /
+ gen_usr_ldscript -a acl
+}
+
+multilib_src_install_all() {
+ if ! use static-libs ; then
+ find "${ED}" -type f -name "*.la" -delete || die
+ fi
+}
diff --git a/sys-apps/attr/attr-2.4.48-r4.ebuild b/sys-apps/attr/attr-2.4.48-r4.ebuild
new file mode 100644
index 000000000000..61b24dcb0c84
--- /dev/null
+++ b/sys-apps/attr/attr-2.4.48-r4.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic libtool toolchain-funcs multilib-minimal usr-ldscript
+
+DESCRIPTION="Extended attributes tools"
+HOMEPAGE="https://savannah.nongnu.org/projects/attr"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug nls static-libs"
+
+BDEPEND="nls? ( sys-devel/gettext )"
+
+PATCHES=(
+ "${FILESDIR}/${P}-perl-5.26.patch"
+ "${FILESDIR}/${P}-switch-back-to-syscall.patch"
+)
+
+pkg_setup() {
+ # Remove -flto* from flags as this breaks binaries (bug #644048)
+ filter-flags -flto*
+ append-ldflags "-Wl,--no-gc-sections" #700116
+}
+
+src_prepare() {
+ default
+ elibtoolize #580792
+}
+
+multilib_src_configure() {
+ unset PLATFORM #184564
+ export OPTIMIZER=${CFLAGS}
+ export DEBUG=-DNDEBUG
+
+ tc-ld-disable-gold #644048
+
+ local myeconfargs=(
+ --bindir="${EPREFIX}"/bin
+ --enable-shared
+ $(use_enable static-libs static)
+ $(use_enable nls)
+ --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+ $(use_enable debug)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+
+ # Sanity check until we track down why this is happening. #644048
+ local lib="${ED}/usr/$(get_libdir)/libattr.so.1"
+ if [[ -e ${lib} ]] ; then
+ local versions=$($(tc-getREADELF) -V "${lib}")
+ local symbols=$($(tc-getREADELF) -sW "${lib}")
+ if [[ "${versions}" != *"ATTR_1.0"* || \
+ "${versions}" != *"ATTR_1.1"* || \
+ "${versions}" != *"ATTR_1.2"* || \
+ "${versions}" != *"ATTR_1.3"* || \
+ "${symbols}" != *"getxattr@ATTR_1.0"* ]] ; then
+ echo "# readelf -V ${lib}"
+ echo "${versions}"
+ echo "# readelf -sW ${lib}"
+ echo "${symbols}"
+ die "symbol version sanity check failed; please comment on https://bugs.gentoo.org/644048"
+ else
+ einfo "${lib} passed symbol checks"
+ fi
+ fi
+
+ if multilib_is_native_abi; then
+ # we install attr into /bin, so we need the shared lib with it
+ gen_usr_ldscript -a attr
+ fi
+
+ # Add a wrapper until people upgrade.
+ insinto /usr/include/attr
+ newins "${FILESDIR}"/xattr-shim.h xattr.h
+}
+
+multilib_src_install_all() {
+ if ! use static-libs; then
+ find "${ED}" -name '*.la' -delete || die
+ fi
+
+ einstalldocs
+}
diff --git a/sys-apps/attr/attr-9999.ebuild b/sys-apps/attr/attr-9999.ebuild
index 8d4a48d28f08..7a00a2b560ee 100644
--- a/sys-apps/attr/attr-9999.ebuild
+++ b/sys-apps/attr/attr-9999.ebuild
@@ -21,7 +21,7 @@ SLOT="0"
IUSE="debug nls static-libs"
-DEPEND="nls? ( sys-devel/gettext )"
+BDEPEND="nls? ( sys-devel/gettext )"
pkg_setup() {
# Remove -flto* from flags as this breaks binaries (bug #644048)
@@ -65,7 +65,7 @@ multilib_src_install() {
local lib="${ED}/usr/$(get_libdir)/libattr.so.1"
if [[ -e ${lib} ]] ; then
local versions=$($(tc-getREADELF) -V "${lib}")
- local symbols=$((tc-getREADELF) -sW "${lib}")
+ local symbols=$($(tc-getREADELF) -sW "${lib}")
if [[ "${versions}" != *"ATTR_1.0"* || \
"${versions}" != *"ATTR_1.1"* || \
"${versions}" != *"ATTR_1.2"* || \
diff --git a/sys-apps/file/file-5.39-r3.ebuild b/sys-apps/file/file-5.39-r3.ebuild
index c8425291ed78..d9f6397209d1 100644
--- a/sys-apps/file/file-5.39-r3.ebuild
+++ b/sys-apps/file/file-5.39-r3.ebuild
@@ -6,11 +6,11 @@ EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
DISTUTILS_OPTIONAL=1
-inherit autotools distutils-r1 libtool toolchain-funcs multilib-minimal
+inherit distutils-r1 libtool toolchain-funcs multilib-minimal
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/glensc/file.git"
- inherit git-r3
+ inherit autotools git-r3
else
SRC_URI="ftp://ftp.astron.com/pub/file/${P}.tar.gz"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
@@ -44,7 +44,11 @@ PATCHES=(
src_prepare() {
default
- eautoreconf
+
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+
elibtoolize
# don't let python README kill main README #60043
diff --git a/sys-apps/file/file-9999.ebuild b/sys-apps/file/file-9999.ebuild
index 8333fd922e2c..71c29604e7d5 100644
--- a/sys-apps/file/file-9999.ebuild
+++ b/sys-apps/file/file-9999.ebuild
@@ -6,11 +6,11 @@ EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
DISTUTILS_OPTIONAL=1
-inherit autotools distutils-r1 libtool toolchain-funcs multilib-minimal
+inherit distutils-r1 libtool toolchain-funcs multilib-minimal
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/glensc/file.git"
- inherit git-r3
+ inherit autotools git-r3
else
SRC_URI="ftp://ftp.astron.com/pub/file/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
@@ -37,12 +37,16 @@ RDEPEND="${DEPEND}
seccomp? ( sys-libs/libseccomp[${MULTILIB_USEDEP}] )"
PATCHES=(
- "${FILESDIR}/${PN}-5.39-portage_sandbox.patch" #713710 #728978
+ "${FILESDIR}/file-5.39-portage-sandbox.patch" #713710 #728978
)
src_prepare() {
default
- eautoreconf
+
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+
elibtoolize
# don't let python README kill main README #60043
diff --git a/sys-apps/shadow/shadow-4.8-r5.ebuild b/sys-apps/shadow/shadow-4.8-r5.ebuild
index b04fd057bc5e..077d032b0c1b 100644
--- a/sys-apps/shadow/shadow-4.8-r5.ebuild
+++ b/sys-apps/shadow/shadow-4.8-r5.ebuild
@@ -39,6 +39,7 @@ DEPEND="${COMMON_DEPEND}
>=sys-kernel/linux-headers-4.14
"
RDEPEND="${COMMON_DEPEND}
+ acct-group/mail
pam? ( >=sys-auth/pambase-20150213 )
su? ( !sys-apps/util-linux[su(-)] )
"
diff --git a/sys-apps/shadow/shadow-4.8.1-r3.ebuild b/sys-apps/shadow/shadow-4.8.1-r3.ebuild
index 019710fb27cd..ae7d1da32325 100644
--- a/sys-apps/shadow/shadow-4.8.1-r3.ebuild
+++ b/sys-apps/shadow/shadow-4.8.1-r3.ebuild
@@ -40,6 +40,7 @@ DEPEND="${COMMON_DEPEND}
>=sys-kernel/linux-headers-4.14
"
RDEPEND="${COMMON_DEPEND}
+ acct-group/mail
pam? ( >=sys-auth/pambase-20150213 )
su? ( !sys-apps/util-linux[su(-)] )
"
diff --git a/sys-devel/bison/Manifest b/sys-devel/bison/Manifest
index a91534b2c763..8fe2ad7b3d57 100644
--- a/sys-devel/bison/Manifest
+++ b/sys-devel/bison/Manifest
@@ -2,9 +2,7 @@ DIST bison-3.1-patches-1.0.tar.xz 7268 BLAKE2B 9195c00be1706664762598926913cd8fc
DIST bison-3.1.tar.xz 1990536 BLAKE2B 6223642f2934927ca118410e2655f7c677bb1d3d981875ca2224f5aa344a43efbbbea34e79dff94ea489853e505b1d7f5920f4d159d1464ce61d8956ca0401ad SHA512 2a8e217ffb55ed5b1fcc989377ac348a066e62b8a4b0b0da40c3c7202f3ea487b2aab6a704a10b48d2d17673be0e22f6ff1be91fc05c4e0a57969b42a59d0152
DIST bison-3.6.3-patches-01.tar.xz 10316 BLAKE2B a99e12e69334371316e5841f8c86ed716a9fed108800a33099e99f8fe432374259bf5477188d054b6d474bc905f821939691fc97f0c891d17a79968466f0c7e3 SHA512 5c97a183232ad31f231580193ed1853aba18010703b0c22105eaf6834241c9828d180eaafbc5d1da751b2d45a7e8195493e10ca2321b35680b2b3cd4ec39e3ca
DIST bison-3.6.4.tar.xz 2472456 BLAKE2B d2efe7ff1a349efe5a8c79eb69aa296dbc7eb9fde549afc91986460f27976e033dd793e904dda2f919f11e011ff6c458805288dff4939dcd1ee20e2b316cb9e6 SHA512 041cd87f4ca6b012031719a49aa81e62d3c0817c6364289732e6a3cb9a0762498760e0f2ce84c03ca9e9b74eb74bdffd1b8b86d2b4a6e4a0d8c8a4b864b672dc
-DIST bison-3.7-patches-01.tar.xz 10468 BLAKE2B 62d422fa0654d6d3e9f829edcfb9a6f0eb5ae60997aa9362bbbe280fc95d86114ff9399586acfa94f2a52564b4f745ca778ce016f102e2981caefb96575f56e8 SHA512 2703963df71871b6e4973d79f69ee95aa6cc22c342d852f136b16d636f90285f6921064616db66f10f29dbfce884a23f79c005e7ceaaf9ccd9a2e1c749b337ac
DIST bison-3.7.1-patches-01.tar.xz 11072 BLAKE2B e68dc42fdeebd9c530d04ba906fb49dec3f2df0a68186a54de9671564ee47f9adc9ca4cb167ddaa3e15458dd339570191b2fe6debb33fdf47f29d1a7aa8d868f SHA512 d167f5278cf3136a96450b2bd664b2563c94205d7c82298951b0b08a6b4b0733101e25636f905c8d4033b5e6d1aaaddab70b7772c28e8c1d6c31a05e23df7ce5
DIST bison-3.7.1.tar.xz 2605940 BLAKE2B a00e8af6a74100154d2dad1597c901f8473dbdcc57826eff947878c3568bfc9070d92857b3b3e349302e9fcfd67eb3287e7a04f6fcff3b897a6fecf43c1cd03d SHA512 9c4097b6ff26e819be14a9d4ef39f6f259c04627cd305e11da8e67897a369b2bba5ce96bf19fa5f6088670e90a9c5bc5c45172f8f482252aeec546b285dd0797
DIST bison-3.7.2-patches-02.tar.xz 99664 BLAKE2B 8f719265d16b42f398beef9ff9fde01c5f86d301421f64f8ac801cbc55af8d1258e1ae0f90e67b4de7bb8b25e99480acacc73815534f25e116f2f2b920ee9697 SHA512 bd99762a1f244755499efb400d2bb4399a5d21126eff253533b7f1320c8a4cd8513485cd176c90932029d720369182eb595ff36fa32ccaaa8d7048e46921e79b
DIST bison-3.7.2.tar.xz 2613404 BLAKE2B 7543c7df4496fbe6b9ab18ffb643a0d58eb63d0d1e91d67eaa6f9a7c805180c1cef02a640fd41eec228782a6758f82058dc4a45c13e3730b740883efad77498d SHA512 42eb501c246e9b4b24cb212c8da538b11b1944b997314105e67f88f22d73b7d00cf19b21e086aa7523630a2a24e1fd70a89d85a7e3003783990e08d31f711a27
-DIST bison-3.7.tar.xz 2601220 BLAKE2B 3ac140048baacebce47a9090e916815e6c30d9c8b0f9fe61a3724b46fbfddf5b8bf94be2bc533a718d84bdc8c73d579b5e43d576efd488a6f5b52424883bc5cf SHA512 f6c8f1522849b65046844bd51953b4f1e2c32818d8bca0b8e4a1035e72d6731d8a66bc307d4b20d1a576cac6cbe10aa1c66829112327f37938ace165e154ba6a
diff --git a/sys-devel/bison/bison-3.7.1.ebuild b/sys-devel/bison/bison-3.7.1-r1.ebuild
index cb5ef2103848..dd9b0ff67f99 100644
--- a/sys-devel/bison/bison-3.7.1.ebuild
+++ b/sys-devel/bison/bison-3.7.1-r1.ebuild
@@ -20,11 +20,15 @@ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 s
IUSE="examples nls static test"
RESTRICT="!test? ( test )"
-RDEPEND=">=sys-devel/m4-1.4.16"
-DEPEND="${RDEPEND}"
+# gettext _IS_ required in RDEPEND because >=bison-3.7 links against
+# libtextstyle.so!!! (see bug #740754)
+DEPEND="
+ >=sys-devel/m4-1.4.16
+ >=sys-devel/gettext-0.21
+"
+RDEPEND="${DEPEND}"
BDEPEND="
sys-devel/flex
- >=sys-devel/gettext-0.21
examples? ( dev-lang/perl )
test? ( dev-lang/perl )
"
diff --git a/sys-devel/bison/bison-3.7.2.ebuild b/sys-devel/bison/bison-3.7.2.ebuild
index 70829bde7511..e23f6ca6bef4 100644
--- a/sys-devel/bison/bison-3.7.2.ebuild
+++ b/sys-devel/bison/bison-3.7.2.ebuild
@@ -20,11 +20,15 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~
IUSE="examples nls static test"
RESTRICT="!test? ( test )"
-RDEPEND=">=sys-devel/m4-1.4.16"
-DEPEND="${RDEPEND}"
+# gettext _IS_ required in RDEPEND because >=bison-3.7 links against
+# libtextstyle.so!!! (see bug #740754)
+DEPEND="
+ >=sys-devel/m4-1.4.16
+ >=sys-devel/gettext-0.21
+"
+RDEPEND="${DEPEND}"
BDEPEND="
sys-devel/flex
- >=sys-devel/gettext-0.21
examples? ( dev-lang/perl )
test? ( dev-lang/perl )
"
diff --git a/sys-devel/bison/bison-3.7.ebuild b/sys-devel/bison/bison-3.7.ebuild
deleted file mode 100644
index aa517bbd9c63..000000000000
--- a/sys-devel/bison/bison-3.7.ebuild
+++ /dev/null
@@ -1,92 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic
-
-PATCH_TAR="${PN}-3.7-patches-01.tar.xz"
-
-DESCRIPTION="A general-purpose (yacc-compatible) parser generator"
-HOMEPAGE="https://www.gnu.org/software/bison/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
- mirror://gentoo/${PATCH_TAR}
- https://dev.gentoo.org/~whissi/dist/bison/${PATCH_TAR}
- https://dev.gentoo.org/~polynomial-c/dist/bison/${PATCH_TAR}"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="examples nls static test"
-RESTRICT="!test? ( test )"
-
-RDEPEND=">=sys-devel/m4-1.4.16"
-DEPEND="${RDEPEND}"
-BDEPEND="
- sys-devel/flex
- >=sys-devel/gettext-0.21
- examples? ( dev-lang/perl )
- test? ( dev-lang/perl )
-"
-
-DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO ) # ChangeLog-2012 ChangeLog-1998 PACKAGING README-alpha README-release
-
-PATCHES=(
- "${WORKDIR}"/patches/${PN}-3.5-optional-perl.patch #538300
- "${WORKDIR}"/patches/${PN}-3.7-avoid_autoreconf.patch
-)
-
-src_prepare() {
- # Record date to avoid 'config.status --recheck' & regen of 'tests/package.m4'
- touch -r configure.ac old.configure.ac || die
- touch -r configure old.configure || die
-
- default
-
- # Restore date after patching
- touch -r old.configure.ac configure.ac || die
- touch -r old.configure configure || die
-
- # The makefiles make the man page depend on the configure script
- # which we patched above. Touch it to prevent regeneration.
- touch doc/bison.1 || die #548778 #538300#9
-
- # Avoid regenerating the info page when the timezone is diff. #574492
- sed -i '2iexport TZ=UTC' build-aux/mdate-sh || die
-}
-
-src_configure() {
- use static && append-ldflags -static
-
- local myeconfargs=(
- $(use_enable examples)
- $(use_enable nls)
- )
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- default
-
- # This one is installed by dev-util/yacc
- mv "${ED}"/usr/bin/yacc{,.bison} || die
- mv "${ED}"/usr/share/man/man1/yacc{,.bison}.1 || die
-
- # We do not need liby.a
- rm -r "${ED}"/usr/lib* || die
-}
-
-pkg_postinst() {
- local f="${EROOT}/usr/bin/yacc"
- if [[ ! -e ${f} ]] ; then
- ln -s yacc.bison "${f}"
- fi
-}
-
-pkg_postrm() {
- # clean up the dead symlink when we get unmerged #377469
- local f="${EROOT}/usr/bin/yacc"
- if [[ -L ${f} && ! -e ${f} ]] ; then
- rm -f "${f}"
- fi
-}
diff --git a/sys-libs/gdbm/gdbm-1.18.1-r1.ebuild b/sys-libs/gdbm/gdbm-1.18.1-r1.ebuild
new file mode 100644
index 000000000000..0a1c428f7d42
--- /dev/null
+++ b/sys-libs/gdbm/gdbm-1.18.1-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic multilib multilib-minimal
+
+DESCRIPTION="Standard GNU database libraries"
+HOMEPAGE="https://www.gnu.org/software/gdbm/"
+SRC_URI="mirror://gnu/gdbm/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/6" # libgdbm.so version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+berkdb nls +readline static-libs"
+
+DEPEND="
+ readline? ( sys-libs/readline:0=[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=("${FILESDIR}"/${PN}-1.18.1-gcc-10.patch)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+multilib_src_configure() {
+ # gdbm doesn't appear to use either of these libraries
+ export ac_cv_lib_dbm_main=no ac_cv_lib_ndbm_main=no
+
+ local myeconfargs=(
+ --includedir="${EPREFIX}"/usr/include/gdbm
+ $(use_enable berkdb libgdbm-compat)
+ $(use_enable nls)
+ $(use_enable static-libs static)
+ $(use_with readline)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ if ! use static-libs ; then
+ find "${ED}" -name '*.la' -delete || die
+ fi
+ mv "${ED}"/usr/include/gdbm/gdbm.h "${ED}"/usr/include/ || die
+}
diff --git a/sys-process/psmisc/psmisc-23.3-r1.ebuild b/sys-process/psmisc/psmisc-23.3-r1.ebuild
index 7565aa7d272f..4593158bd0c6 100644
--- a/sys-process/psmisc/psmisc-23.3-r1.ebuild
+++ b/sys-process/psmisc/psmisc-23.3-r1.ebuild
@@ -15,8 +15,8 @@ IUSE="ipv6 nls selinux X"
RDEPEND=">=sys-libs/ncurses-5.7-r7:0=
nls? ( virtual/libintl )
selinux? ( sys-libs/libselinux )"
-DEPEND="${RDEPEND}
- >=sys-devel/libtool-2.2.6b
+DEPEND="${RDEPEND}"
+BDEPEND=">=sys-devel/libtool-2.2.6b
nls? ( sys-devel/gettext )"
DOCS=( AUTHORS ChangeLog NEWS README )